summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina <zerochaos@gentoo.org>2018-12-07 12:14:55 -0500
committerRick Farina <zerochaos@gentoo.org>2018-12-07 12:17:39 -0500
commitd8b0926f25c1c15cca4003a29c850eb6b680ccb8 (patch)
tree8fe2ee7620b0bab1ff3494e8f65d6a9e7cbd5a6f
parentsys-libs/efivar: bump to 37 (diff)
downloadgentoo-d8b0926f25c1c15cca4003a29c850eb6b680ccb8.tar.gz
gentoo-d8b0926f25c1c15cca4003a29c850eb6b680ccb8.tar.bz2
gentoo-d8b0926f25c1c15cca4003a29c850eb6b680ccb8.zip
net-analyzer/metasploit: bug #653024
move from /usr/$(get_libdir) to /usr/lib Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Rick Farina <zerochaos@gentoo.org>
-rw-r--r--net-analyzer/metasploit/metasploit-4.17.21-r3.ebuild (renamed from net-analyzer/metasploit/metasploit-4.17.21-r2.ebuild)14
-rw-r--r--net-analyzer/metasploit/metasploit-9999.ebuild14
2 files changed, 14 insertions, 14 deletions
diff --git a/net-analyzer/metasploit/metasploit-4.17.21-r2.ebuild b/net-analyzer/metasploit/metasploit-4.17.21-r3.ebuild
index 73c86666c95..32cb686d0d8 100644
--- a/net-analyzer/metasploit/metasploit-4.17.21-r2.ebuild
+++ b/net-analyzer/metasploit/metasploit-4.17.21-r3.ebuild
@@ -302,9 +302,9 @@ each_ruby_install() {
#I'm 99% sure that this will only work for as long as we only support one ruby version. Creativity will be needed if we wish to support multiple.
# should be as simple as copying everything into the target...
- dodir /usr/$(get_libdir)/${PN}${SLOT}
- cp -R * "${ED}"/usr/$(get_libdir)/${PN}${SLOT} || die "Copy files failed"
- rm -Rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/documentation "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/README.md
+ dodir /usr/lib/${PN}${SLOT}
+ cp -R * "${ED}"/usr/lib/${PN}${SLOT} || die "Copy files failed"
+ rm -Rf "${ED}"/usr/lib/${PN}${SLOT}/documentation "${ED}"/usr/lib${PN}${SLOT}/README.md
fowners -R root:0 /
}
@@ -313,16 +313,16 @@ all_ruby_install() {
# do not remove LICENSE, bug #238137
dodir /usr/share/doc/${PF}
cp -R {documentation,README.md} "${ED}"/usr/share/doc/${PF} || die
- ln -s "../../share/doc/${PF}/documentation" "${ED}/usr/$(get_libdir)/${PN}${SLOT}/documentation"
+ ln -s "../../share/doc/${PF}/documentation" "${ED}/usr/lib/${PN}${SLOT}/documentation"
- fperms +x /usr/$(get_libdir)/${PN}${SLOT}/msfupdate
+ fperms +x /usr/lib/${PN}${SLOT}/msfupdate
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-metasploit${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
- SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/meterpreter"
- SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/exploits"
+ SEARCH_DIRS_MASK="/usr/lib/${PN}${SLOT}/data/meterpreter"
+ SEARCH_DIRS_MASK="/usr/lib/${PN}${SLOT}/data/exploits"
EOF
}
diff --git a/net-analyzer/metasploit/metasploit-9999.ebuild b/net-analyzer/metasploit/metasploit-9999.ebuild
index 73c86666c95..c4fc0fdabcd 100644
--- a/net-analyzer/metasploit/metasploit-9999.ebuild
+++ b/net-analyzer/metasploit/metasploit-9999.ebuild
@@ -302,9 +302,9 @@ each_ruby_install() {
#I'm 99% sure that this will only work for as long as we only support one ruby version. Creativity will be needed if we wish to support multiple.
# should be as simple as copying everything into the target...
- dodir /usr/$(get_libdir)/${PN}${SLOT}
- cp -R * "${ED}"/usr/$(get_libdir)/${PN}${SLOT} || die "Copy files failed"
- rm -Rf "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/documentation "${ED}"/usr/$(get_libdir)/${PN}${SLOT}/README.md
+ dodir /usr/lib/${PN}${SLOT}
+ cp -R * "${ED}"/usr/lib/${PN}${SLOT} || die "Copy files failed"
+ rm -Rf "${ED}"/usr/lib/${PN}${SLOT}/documentation "${ED}"/usr/lib/${PN}${SLOT}/README.md
fowners -R root:0 /
}
@@ -313,16 +313,16 @@ all_ruby_install() {
# do not remove LICENSE, bug #238137
dodir /usr/share/doc/${PF}
cp -R {documentation,README.md} "${ED}"/usr/share/doc/${PF} || die
- ln -s "../../share/doc/${PF}/documentation" "${ED}/usr/$(get_libdir)/${PN}${SLOT}/documentation"
+ ln -s "../../share/doc/${PF}/documentation" "${ED}/usr/lib/${PN}${SLOT}/documentation"
- fperms +x /usr/$(get_libdir)/${PN}${SLOT}/msfupdate
+ fperms +x /usr/lib/${PN}${SLOT}/msfupdate
#tell revdep-rebuild to ignore binaries meant for the target
dodir /etc/revdep-rebuild
cat <<-EOF > "${ED}"/etc/revdep-rebuild/99-metasploit${SLOT}
#These dirs contain prebuilt binaries for running on the TARGET not the HOST
- SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/meterpreter"
- SEARCH_DIRS_MASK="/usr/lib*/${PN}${SLOT}/data/exploits"
+ SEARCH_DIRS_MASK="/usr/lib/${PN}${SLOT}/data/meterpreter"
+ SEARCH_DIRS_MASK="/usr/lib/${PN}${SLOT}/data/exploits"
EOF
}